### Method

# Qmi MessageDmsHpChangeDeviceModeOutput ref

since: 1.18

#### Declaration [src]

    QmiMessageDmsHpChangeDeviceModeOutput*
    qmi_message_dms_hp_change_device_mode_output_ref (
      QmiMessageDmsHpChangeDeviceModeOutput* self
    )

#### Description [src]

Atomically increments the reference count of `self` by one.

Available since: 1.18

#### Return value

Type: `QmiMessageDmsHpChangeDeviceModeOutput`

The new reference to `self`.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.